%global	fontname smc

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:		%{fontname}-fonts
Version:	6.1
Release:	1
Summary:	Open Type Fonts for Malayalam script
License:	GPLv3+ with exceptions and GPLv2+ with exceptions and GPLv2+ and  GPLv2 and GPL+
URL:		http://savannah.nongnu.org/projects/smc
Group:          User Interface/X
Source0:	http://download.savannah.gnu.org/releases-noredirect/smc/fonts/malayalam-fonts-%{version}.tar.bz2
Source1:        65-0-smc-meera.conf
Source2:        67-smc-anjalioldlipi.conf
Source3:        67-smc-dyuthi.conf
Source4:        67-smc-kalyani.conf
Source5:        65-0-smc-rachana.conf
Source6:        67-smc-raghumalayalam.conf
Source7:        67-smc-suruma.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:	noarch
BuildRequires:	sed
Requires:	fontconfig

%description
The SMC Fonts package contains fonts for the display of
traditional and new Malayalam Script.


%package common
Summary:  Common files for smc-fonts
Group:    User Interface/X

%description common
The SMC Fonts package contains fonts for the display of
traditional and new Malayalam Script.


%package -n %{fontname}-dyuthi-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv3+ with exceptions
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-dyuthi-fonts
The Dyuthi font package contains fonts for the display of
traditional Malayalam Scripts.


%package -n %{fontname}-meera-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv2+ with exceptions
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-meera-fonts
The Meera font package contains fonts for the display of
traditional Malayalam Scripts.


%package -n %{fontname}-rachana-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv2+
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-rachana-fonts
The Rachana font package contains fonts for the display of
traditional Malayalam Scripts.


%package -n %{fontname}-raghumalayalam-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv2
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-raghumalayalam-fonts
The SMC Malayalam fonts package contains fonts for the display of
new Malayalam Scripts.


%package -n %{fontname}-suruma-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv3 with exceptions
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-suruma-fonts
The Suruma font package contains fonts for the display of
traditional Malayalam Scripts.


%package -n %{fontname}-kalyani-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  GPLv3+ with exceptions
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-kalyani-fonts
The Kalyani font package contains fonts for the display of
new Malayalam Scripts.


%package -n %{fontname}-anjalioldlipi-fonts
Summary:  Open Type Fonts for Malayalam script
Group:    User Interface/X
License:  OFL
Requires: %{name}-common = %{version}-%{release}
Requires: fontconfig

%description -n %{fontname}-anjalioldlipi-fonts
The Anjali OldLipi package contains fonts for the display of
traditional Malayalam Scripts.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n fonts
sed -i 's/\r//' */COPYING
sed -i 's/\r//' Rachana/LICENSE


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp AnjaliOldLipi/*.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp Dyuthi/*.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp Kalyani/*.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp Meera/*.ttf  ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp Rachana/*.ttf  ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp RaghuMalayalamSans/*.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
cp Suruma/*.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/65-0-smc-meera.conf
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/67-smc-anjalioldlipi.conf
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/67-smc-dyuthi.conf
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/67-smc-kalyani.conf
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/65-0-smc-rachana.conf
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/67-smc-raghumalayalam.conf
cp %{SOURCE7} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/67-smc-suruma.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in 65-0-smc-meera.conf \
        67-smc-anjalioldlipi.conf \
        67-smc-dyuthi.conf \
        67-smc-kalyani.conf \
        65-0-smc-rachana.conf \
        67-smc-raghumalayalam.conf \
        67-smc-suruma.conf ; do
    ln -s %{_fontconfig_templatedir}/${f} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/${f}
done

# add AppStream data
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/appdata
chmod 0755 ${RPM_BUILD_ROOT}%{_datadir}/appdata

cp smc.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp AnjaliOldLipi/smc-anjalioldlipi.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp Dyuthi/smc-dyuthi.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp Kalyani/smc-kalyani.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp Meera/smc-meera.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp Rachana/smc-rachana.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp RaghuMalayalamSans/smc-raghumalayalam.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
cp Suruma/smc-suruma.metainfo.xml ${RPM_BUILD_ROOT}%{_datadir}/appdata/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/appdata/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files common
%defattr(-,root,system,-)
%doc ChangeLog
%{_datadir}/appdata/%{fontname}.metainfo.xml


%files -n %{fontname}-dyuthi-fonts
%defattr(-,root,system,-)
%doc Dyuthi/COPYING
%{_datadir}/appdata/smc-dyuthi.metainfo.xml
%{_fontconfig_confdir}/67-smc-dyuthi.conf
%{_fontconfig_templatedir}/67-smc-dyuthi.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/Dyuthi*.ttf


%files -n %{fontname}-meera-fonts
%defattr(-,root,system,-)
%doc Meera/COPYING Meera/README
%{_datadir}/appdata/smc-meera.metainfo.xml
%{_fontconfig_confdir}/65-0-smc-meera.conf
%{_fontconfig_templatedir}/65-0-smc-meera.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/Meera.ttf


%files -n %{fontname}-rachana-fonts
%defattr(-,root,system,-)
%doc Rachana/COPYING Rachana/LICENSE Rachana/README
%{_datadir}/appdata/smc-rachana.metainfo.xml
%{_fontconfig_confdir}/65-0-smc-rachana.conf
%{_fontconfig_templatedir}/65-0-smc-rachana.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/Rachana.ttf


%files -n %{fontname}-raghumalayalam-fonts
%defattr(-,root,system,-)
%doc RaghuMalayalamSans/COPYING
%{_datadir}/appdata/smc-raghumalayalam.metainfo.xml
%{_fontconfig_confdir}/67-smc-raghumalayalam.conf
%{_fontconfig_templatedir}/67-smc-raghumalayalam.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/RaghuMalayalamSans.ttf


%files -n %{fontname}-suruma-fonts
%defattr(-,root,system,-)
%doc Suruma/COPYING Suruma/README
%{_datadir}/appdata/smc-suruma.metainfo.xml
%{_fontconfig_confdir}/67-smc-suruma.conf
%{_fontconfig_templatedir}/67-smc-suruma.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/Suruma.ttf


%files -n %{fontname}-kalyani-fonts
%defattr(-,root,system,-)
%doc Kalyani/COPYING
%{_datadir}/appdata/smc-kalyani.metainfo.xml
%{_fontconfig_confdir}/67-smc-kalyani.conf
%{_fontconfig_templatedir}/67-smc-kalyani.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/Kalyani.ttf


%files -n %{fontname}-anjalioldlipi-fonts
%defattr(-,root,system,-)
%doc AnjaliOldLipi/COPYING
%{_datadir}/appdata/smc-anjalioldlipi.metainfo.xml
%{_fontconfig_confdir}/67-smc-anjalioldlipi.conf
%{_fontconfig_templatedir}/67-smc-anjalioldlipi.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/AnjaliOldLipi.ttf


%changelog
* Thu Nov 01 2018 Michael Perzl <michael@perzl.org> - 6.1-1
- first version for AIX V5.1 and higher
